using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.AnalysisServices;
namespace AmoObjectLoad
{
	class Program
	{
		static void Main(string[] args)
		{
			using (Server srv = new Server())
			{
				string connectionString = "Datasource=localhost;";
				//following code will connect to the server and send DISCOVER_XML_METADATA request, 
                //then AMO will populate all properties of the server object and 
                //will create collections of Major contained objects
				srv.Connect(connectionString);
				//following line will not send a request to the server, the Database collection already exists on the server
				foreach(Database database in srv.Databases)
				{
						//following line will not send request to the server, Name is already populated
						Console.WriteLine(database.Name);
						//following line will send request to the server, to retrive all properties of Database object, including its children that are major objects
                        Console.WriteLine(database.Translations[0].Language );
				}
				// 
			}
		}
	}
}
